| qspipsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XQspiPsu Struct Reference
QSPIPSU APIs

The XQspiPsu driver instance data. More...

## Data Fields
XQspiPsu_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u8 * | SendBufferPtr
| Buffer to send (state) More...
u8 * | RecvBufferPtr
| Buffer to receive (state) More...
u64 | RecvBuffer
| Buffer Address to receive (state) More...
u8 * | GenFifoBufferPtr
| Gen FIFO entries. More...
s32 | TxBytes
| Number of bytes to transfer (state) More...
s32 | RxBytes
| Number of bytes left to transfer(state) More...
s32 | GenFifoEntries
| Number of Gen FIFO entries remaining. More...
volatile u32 | IsBusy
| A transfer is in progress (state) More...
u32 | ReadMode
| DMA or IO mode. More...
u32 | GenFifoCS
| Gen FIFO chip selection. More...
u32 | GenFifoBus
| Gen FIFO bus. More...
s32 | NumMsg
| Number of messages. More...
s32 | MsgCnt
| Message Count. More...
s32 | IsUnaligned
| Unaligned information. More...
u8 | IsManualstart
| Manual start information. More...
XQspiPsu_Msg * | Msg
| Message. More...
XQspiPsu_StatusHandler | StatusHandler
| Status Handler. More...
void * | StatusRef
| Callback reference for status handler. More...

## Detailed Description

The XQspiPsu driver instance data.

The user is required to allocate a variable of this type for every QSPIPSU device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XQspiPsu_Config XQspiPsu::Config

Configuration structure.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashWrite(), GetRealAddr(), MultiDieRead(), QspiPsuConfigurePoll(), QspiPsuFlashNonBlockingReadExample(), QspiPsuInterruptFlashExample(), QspiPsuPolledFlashExample(), QspiPsuWriteProtectFlashExample(), XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_CheckDmaDone(), XQspiPsu_ClearOptions(), XQspiPsu_FillTxFifo(), XQspiPsu_GenFifoEntryData(), XQspiPsu_GenFifoEntryDataLen(), XQspiPsu_GetOptions(), XQspiPsu_Idle(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_IntrRecvData(), XQspiPsu_IORead(), XQspiPsu_PollDataConfig(), XQspiPsu_PollDataHandler(), XQspiPsu_PolledMessageTransfer(), XQspiPsu_PolledRecvData(), XQspiPsu_PolledSendData(), XQspiPsu_PolledTransfer(), XQspiPsu_ReadRxFifo(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetDefaultConfig(), XQspiPsu_SetIOMode(), XQspiPsu_SetOptions(), XQspiPsu_SetReadMode(), XQspiPsu_Setup64BRxDma(), XQspiPsu_SetupRxDma(), XQspiPsu_SetWP(), XQspiPsu_StartDmaTransfer(), and XQspiPsu_WriteProtectToggle().

u8* XQspiPsu::GenFifoBufferPtr

Gen FIFO entries.

Referenced by XQspiPsu_CfgInitialize().

u32 XQspiPsu::GenFifoBus

Gen FIFO bus.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_CreatePollDataConfig(), XQspiPsu_GenFifoEntryData(), XQspiPsu_PollDataConfig(), and XQspiPsu_SelectFlash().

u32 XQspiPsu::GenFifoCS

Gen FIFO chip selection.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_GenFifoEntryData(), XQspiPsu_PollDataConfig(), and XQspiPsu_SelectFlash().

s32 XQspiPsu::GenFifoEntries

Number of Gen FIFO entries remaining.

Referenced by XQspiPsu_Abort(), and XQspiPsu_CfgInitialize().

volatile u32 XQspiPsu::IsBusy

A transfer is in progress (state)

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_CheckDmaDone(), XQspiPsu_ClearOptions(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_PollDataHandler(), XQspiPsu_PolledTransfer(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetOptions(), XQspiPsu_SetReadMode(), XQspiPsu_SetWP(), and XQspiPsu_StartDmaTransfer().

u8 XQspiPsu::IsManualstart

Manual start information.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_CheckDmaDone(), XQspiPsu_ClearOptions(), XQspiPsu_SetOptions(), and XQspiPsu_StartDmaTransfer().

u32 XQspiPsu::IsReady

Device is initialized and ready.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_CheckDmaDone(), XQspiPsu_ClearOptions(), XQspiPsu_CreatePollDataConfig(), XQspiPsu_FillTxFifo(), XQspiPsu_GenFifoEntryData(), XQspiPsu_GenFifoEntryDataLen(), XQspiPsu_GetOptions(), XQspiPsu_Idle(), XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_IORead(), XQspiPsu_LqspiRead(), XQspiPsu_PollDataConfig(), XQspiPsu_PollDataHandler(), XQspiPsu_PolledTransfer(), XQspiPsu_ReadRxFifo(), XQspiPsu_RXSetup(), XQspiPsu_SelectFlash(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetIOMode(), XQspiPsu_SetOptions(), XQspiPsu_SetReadMode(), XQspiPsu_SetStatusHandler(), XQspiPsu_Setup64BRxDma(), XQspiPsu_SetupRxDma(), XQspiPsu_SetWP(), XQspiPsu_StartDmaTransfer(), XQspiPsu_TXRXSetup(), XQspiPsu_TXSetup(), and XQspiPsu_WriteProtectToggle().

s32 XQspiPsu::IsUnaligned

Unaligned information.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_GenFifoEntryData(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_PolledMessageTransfer(), and XQspiPsu_SetIOMode().

XQspiPsu_Msg* XQspiPsu::Msg

Message.

Referenced by XQspiPsu_CheckDmaDone(), XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_IntrRecvData(), XQspiPsu_IntrSendData(), XQspiPsu_PollDataConfig(), and XQspiPsu_StartDmaTransfer().

s32 XQspiPsu::MsgCnt

Message Count.

Referenced by XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_IntrRecvData(), XQspiPsu_IntrSendData(), and XQspiPsu_PollDataConfig().

s32 XQspiPsu::NumMsg

Number of messages.

Referenced by XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), and XQspiPsu_PollDataConfig().

u32 XQspiPsu::ReadMode

DMA or IO mode.

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_GenFifoEntryData(), XQspiPsu_InterruptTransfer(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_IntrRecvData(), XQspiPsu_PollDataHandler(), XQspiPsu_PolledMessageTransfer(), XQspiPsu_PolledRecvData(), XQspiPsu_RXSetup(), XQspiPsu_SetIOMode(), XQspiPsu_SetReadMode(), and XQspiPsu_StartDmaTransfer().

u64 XQspiPsu::RecvBuffer

Buffer Address to receive (state)

u8* XQspiPsu::RecvBufferPtr

Buffer to receive (state)

Referenced by XQspiPsu_CfgInitialize(), and XQspiPsu_TXRXSetup().

s32 XQspiPsu::RxBytes

Number of bytes left to transfer(state)

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_CheckDmaDone(), XQspiPsu_IntrRecvData(), XQspiPsu_IORead(), XQspiPsu_PolledMessageTransfer(), XQspiPsu_PolledRecvData(), XQspiPsu_ReadRxFifo(), XQspiPsu_RXSetup(), XQspiPsu_SetIOMode(), XQspiPsu_Setup64BRxDma(), XQspiPsu_SetupRxDma(), and XQspiPsu_TXRXSetup().

u8* XQspiPsu::SendBufferPtr

Buffer to send (state)

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_TXRXSetup(), and XQspiPsu_TXSetup().

XQspiPsu_StatusHandler XQspiPsu::StatusHandler

Status Handler.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_PollDataHandler(), and XQspiPsu_SetStatusHandler().

void* XQspiPsu::StatusRef

Callback reference for status handler.

Referenced by XQspiPsu_IntrDataTransfer(), XQspiPsu_IntrDummyDataTransfer(), XQspiPsu_PollDataHandler(), and XQspiPsu_SetStatusHandler().

s32 XQspiPsu::TxBytes

Number of bytes to transfer (state)

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_FillTxFifo(), XQspiPsu_IntrSendData(), XQspiPsu_PolledMessageTransfer(), XQspiPsu_PolledSendData(), XQspiPsu_StartDmaTransfer(), XQspiPsu_TXRXSetup(), and XQspiPsu_TXSetup().